#include <iostream>
#include <bits/stdc++.h>

using namespace std;

int main()
{
    long long int n, q, i, x, res, manje, vece, jednako;
    cin >> n >> q;
    long long int a[n+1];
    a[0] = -1;
    for(i=1; i<=n; i++)
    {
        cin >> a[i];
    }
    sort(a, a+n+1);
    //for(i=1; i<=n; i++){cout << a[i] << " ";}cout << endl;
    while(q--)
    {
        cin >> x;
        res=0;
        manje=0;
        vece=0;
        i=1;
        while(i<=n && a[i]<x)
        {
            i++;
        }
        manje = i-1;
        while(i<=n)
        {
            if(a[i]>x)
            {
                vece++;
            }
            i++;
        }
        jednako = n-manje-vece;
        i = min(manje, vece);
        manje -= i;
        vece -= vece;
        if(a[n/2+1]==x)
        {
            cout << 0 << endl;
        }
        else
        {
            if(manje>vece)
            {
                if(jednako>0)
                {
                    long long int r = manje-1 - vece;
                    if(jednako>=r)
                    {
                        vece += r;
                        jednako -= r;
                        if(jednako>0)
                        {
                            if(jednako%2==1)
                            {
                                manje++;
                            }
                        }
                    }
                    else
                    {
                        vece += jednako;
                    }
                    cout << manje - vece + (n%2==0) << endl;

                }
                else
                {
                    cout << manje - vece + (n%2==0) << endl;
                }
            }
            else if(manje==vece)
            {
                cout << 1 << endl;
            }
            else
            {
                if(jednako>0)
                {
                    long long int r = vece - manje+1;
                    if(jednako>=r)
                    {
                        manje += r;
                        jednako -= r;
                        if(jednako>0)
                        {
                            if(jednako%2==1)
                            {
                                manje++;
                            }
                        }
                    }
                    else
                    {
                        manje += jednako;
                    }
                    cout << vece - manje + (n%2==1) << endl;
                }
                else
                {
                    cout << vece - manje + (n%2==1) << endl;
                }
            }
        }
    }
}